package org.tbasket.auth

import io.netty.channel.ChannelHandlerContext
import org.tbasket.db.schemas.User
import pdi.jwt.JwtClaim
import zio.http.{Client, Request, URL}
import zio.*

import java.io.ByteArrayInputStream

class JWTClient(url: URL) {
  
  private def mkRequest(user: User): JwtClaim = {
    Request.get(url)
      .body
      .write(new ByteArrayInputStream(Array.emptyByteArray))
  }
  
  def requestJwt(user: User): Task[JwtClaim] = {
  }
  
  
}
